Rolodex
/- Searches for organizations using predefined parameters
Creates a new organization record that does not already exist.
Execute Batch Operations
Get all descendent organizations
Returns the organization matching the specified domain_name
Finds all conflicting fields for organizations
Returns a list of records with the specified parent_organization_id
Sends out a preview of the CRC notification email
Get publicly available information for an org
Re-runs compliance for all organizations in the system
Looks up a social profile and returns what is found to the user
Returns a organization from the system by its ID.
Returns a organization from the system by its ID.
Partially updates a organization with the specified ID.
Updates a organization with the specified ID.
Updates a organization with data merged from other organizations then signals other microservices to complete the merge
Searches for organization...
Searches for organizations using predefined parameters
Security
knox-authorizer
The organization that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/search
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/organizations/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"domain_name": "string",
"ids": [
"string"
],
"name": "string",
"number": [
0.1
],
"state": "string",
"status": [
"string"
],
"type_id": "string"
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }